coupang
POST/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon2609170000

[Instant Discount Coupon] Creation

# 01

Summary

[Instant Discount Coupon] Creation

# 02

Details

Available buyer market: Korea

API to create new coupons based on ContractID.
Since this is an asynchronous API that only handles requests, you will have to use the response's "requestedId" value to find actual API response through Request status check API.

In the case of instant discount coupon, you cannot delete the items eligible for the coupon after the coupon's initial creation.
If you want to delete items eligible for the coupon, then you have to suspend the coupon previously issued coupon and create new coupons.
So carefully select items eligible for coupon at the time of initial coupon creation!

Path

POST/v2/providers/fms/apis/api/v2/vendors/{vendorId}/coupon

Example endpoint

https://api-gateway.coupang.com/v2/providers/fms/apis/api/v2/vendors/A00012345/coupon
# 03

Path parameters

NameTypeDescription
vendorId*string
Vendor ID
Unique code issued to vendor by Coupang
Ex) A00012345
# 04

Request body

Request parameters

Body parameter

NameTypeDescription
contractId*string
Vendor's contract ID
name*string
Promotion name (max 45 characters)
maxDiscountPrice*string
Maximum discount amount
at least 10 won
discount*string
Discount rate
startAt*string
Valid start date
Can set valid start date to run from next day 0 AM.
ex) If coupon was created 3 PM, Aug 4, then coupon can be set to be applicable starting 0 AM, Aug 5.
endAt*string
Valid end date
type*string
Discount method
RATE (fixed discount rate), FIXED_WITH_QUANTITY (fixed discount amount per quantity), PRICE (fixed discount amount)
wowExclusivestring
Target audience
Users who can use coupon
false all customers (default)
true only for Rocket Wow members
Please create regular downloadable coupon as "false".
"true" is only used for products selected for exhibitions such as Goldbox promo exclusive for Rocket Wow members and requires approval in advance.
Request exampleapplication/json
{
  "contractId": "10",
  "name": "newCoupon 20180328",
  "maxDiscountPrice": "1000",
  "discount": "10",
  "startAt": "2017-12-08 00:00:00",
  "endAt": "2017-12-09 00:00:00",
  "type": "PRICE",
  "wowExclusive": "false"
}
# 05

Response body

Response message

NameTypeDescription
codeinteger
server response code
messagestring
server response message
httpStatusinteger
HTTP Status Code (same value as server response code)
httpStatusMessagestring
HTTP Status Message (same value as server response message)
errorMessagestring
Detailed message on server failure reasons for all statuses excluding HTTP Status 200.
dataobject
run successful or not
success
data.success
boolean
successful or not
true or false
content
data.content
object
request ID data to query processing status
requestedId
data.content.requestedId
string
request ID to query processing status
ex) 1542675975663862164
success
data.content.success
boolean
successful or not
true or false
Pagination
data.Pagination
string
no pagination

Response Example

{
  "code": 200,
  "message": "OK",
  "httpStatus": 200,
  "httpStatusMessage": "OK",
  "errorMessage": "",
  "data": {
    "success": true,
    "content": {
      "requestedId": "123543582159745830895",
      "success": true
    },
    "pagination": null
  }
}
# 06

Error codes

HTTPCodeMessage
400HTTP_400Bad Request

Error specification

HTTPTypeError messageSolution
400400 (check request parameter)

Coupon valid period must fall under contract term. (contract term:2017-03-01 00:00:002017-12-31 23:59:59) (coupon valid period:2016-12-05 00:00:002017-09-05 00:00:00)

Check if coupon valid start and end date fall under contract term.

400400 (check request parameter)

Cannot parse "2017-13-05 00:00:00": Value 13 for monthOfYear must be in the range [1,12]

Check if valid start or end date value has been correctly entered.

400400 (check request parameter)

Cannot parse "2017-08-32 00:00:00": Value 32 for dayOfMonth must be in the range [1,31]

Check if valid start or end date value has been correctly entered.

400400 (check request parameter)

check startAt pattern. yyyy-MM-dd HH:mm:ss

Check if valid start value has been correctly entered.

400400 (check request parameter)

Check endAt pattern. yyyy-MM-dd HH:mm:ss

Check if valid end date value has been correctly entered.

400400 (check request parameter)

Can only input positive number for discount. (discount rate: 1~100; discount amount: 1 or larger)

Check if discount rate (discount) value has been correctly entered.